document.addEventListener('DOMContentLoaded', () => {
  const riskForm = document.getElementById('riskForm');
  const meterFill = document.getElementById('meterFill');
  const riskScore = document.getElementById('riskScore');
  const recommendations = document.getElementById('recommendations');

  riskForm.addEventListener('submit', (e) => {
    e.preventDefault();
    
    const financial = parseInt(document.getElementById('financialSelect').value) || 0;
    const market = parseInt(document.getElementById('marketSelect').value) || 0;
    const experience = parseInt(document.getElementById('experienceSelect').value) || 0;
    
    if (!financial || !market || !experience) {
      alert('Please complete all fields');
      return;
    }

    const totalScore = calculateRiskScore(financial, market, experience);
    const percentage = (totalScore / 12) * 100;
    
    meterFill.style.width = `${percentage}%`;
    riskScore.textContent = `${totalScore}/12`;
    
    displayRecommendations(totalScore);
  });

  function calculateRiskScore(financial, market, experience) {
    return financial + market + experience;
  }

  function displayRecommendations(score) {
    let message = '<h3>Recommendations:</h3><ul>';
    
    if (score < 6) {
      message += `
        <li>Consider building more savings before starting</li>
        <li>Conduct more market research</li>
        <li>Gain more experience in your field</li>
        <li>Consider starting part-time while maintaining current employment</li>
      `;
    } else if (score < 9) {
      message += `
        <li>You're on the right track, but there's room for improvement</li>
        <li>Focus on strengthening your weakest areas</li>
        <li>Create a detailed business plan</li>
        <li>Consider seeking mentorship</li>
      `;
    } else {
      message += `
        <li>You're well-prepared for self-employment</li>
        <li>Continue monitoring market changes</li>
        <li>Maintain emergency funds</li>
        <li>Consider creating multiple income streams</li>
      `;
    }
    
    message += '</ul>';
    recommendations.innerHTML = message;
  }
});